# SIPMessage Class Reference

`#include <sippdu.h>`

Inheritance diagram for SIPMessage:

[legend]
Collaboration diagram for SIPMessage:
[legend]

## Public Member Functions

| SIPMessage (SIPTransactionOwner &owner, OpalTransport &transport, const Params &params)
| SIPMessage (SIPConnection &connection, const Params &params)
virtual SIPTransaction * | CreateDuplicate () const
const Params & | GetParameters () const
const SIPURL & | GetLocalAddress () const

## Data Structures

struct | Params

## Constructor & Destructor Documentation

SIPMessage::SIPMessage | ( | SIPTransactionOwner & | owner,
|  | OpalTransport & | transport,
|  | const Params & | params |
| ) |  |  |

SIPMessage::SIPMessage | ( | SIPConnection & | connection,
|  | const Params & | params |
| ) |  |  |

## Member Function Documentation

virtual SIPTransaction* SIPMessage::CreateDuplicate | ( |  | ) | const`[virtual]`

Implements SIPTransaction.

const SIPURL& SIPMessage::GetLocalAddress | ( |  | ) | const`[inline]`

const Params& SIPMessage::GetParameters | ( |  | ) | const`[inline]`

The documentation for this class was generated from the following file:

- sippdu.h